%define		kdeframever	5.86
%define		qtver		5.9.0
%define		kfname		kxmlrpcclient
#
Summary:	XML-RPC client library
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/portingAids/%{kfname}-%{version}.tar.xz
# Source0-md5:	250f59b6336bdf01a5ddad407cfca345
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
XML-RPC client library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang libkxmlrpcclient5 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libkxmlrpcclient5.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5XmlRpcClient.so.5
%attr(755,root,root) %{_libdir}/libKF5XmlRpcClient.so.*.*
%{_datadir}/qlogging-categories5/kxmlrpcclient.categories
%{_datadir}/qlogging-categories5/kxmlrpcclient.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KXmlRpcClient
%{_includedir}/KF5/kxmlrpcclient_version.h
%{_libdir}/cmake/KF5XmlRpcClient
%{_libdir}/libKF5XmlRpcClient.so
%{qt5dir}/mkspecs/modules/qt_KXmlRpcClient.pri

%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kxmlrpcclient.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ad7deab
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4062af6
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4c546e6
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2556f39
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3762f13
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1f50e48
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2329aab
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d25f3af
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 950507b
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 8017145
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 8a0691f
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a709e05
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 2e387ae
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> d89f643
- updated to 5.53.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e22d7d8
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 5685dd1
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> a457ca6
- updated to 5.23

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 3878e2e
- updated to 5.19.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4de5b9d
- find_lang with kde

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 00f9ea0
- initial

